            #GIT_CMT=4f4f70ddc10bb5a6d3f5661eeac75ae58239b66e
            #GIT_CMT=c0ab6ea0320a963757493db9809d36f2c286aafc
%define build_version 01.00.00.3186
%define _unpackaged_files_terminate_build 0

Name:		ipmctl
Version:	01.00.00.3279
Release: 1.0.1.el7
Summary:	Utility for managing Intel Optane DC persistent memory modules
License:	BSD-3-Clause
Group:		Applications/System
URL:		https://github.com/intel/ipmctl
Source: ipmctl-01.00.00.3279.tar.bz2
ExclusiveArch:	x86_64

Requires:	libipmctl%{?_isa} = %{version}-%{release}
BuildRequires:	pkgconfig(libndctl)
BuildRequires:	pkgconfig(safec-3.3)
BuildRequires:	cmake
BuildRequires:	python2
BuildRequires:	gcc
BuildRequires:	gcc-c++
Obsoletes:	ixpdimm-cli < 01.00.00.3000

%description
Utility for managing Intel Optane DC persistent memory modules
Supports functionality to:
Discover PMMs on the platform.
Provision the platform memory configuration.
View and update the firmware on PMMs.
Configure data-at-rest security on PMMs.
Monitor PMM health.
Track performance of PMMs.
Debug and troubleshoot PMMs.

%prep
%setup -q -n %{name}-%{version}

%package -n ipmctl-monitor
Summary:	Daemon for monitoring the status of Intel PMM
Group:		System Environment/Daemons
Requires:	libipmctl%{?_isa} = %{version}-%{release}
%{?systemd_requires}
BuildRequires:	systemd
Obsoletes:	ixpdimm-monitor < 01.00.00.3000

%description -n ipmctl-monitor
A monitor daemon for monitoring the health and status of Utility for managing Intel Optane DC persistent memory modules

%package -n libipmctl
Summary:	Library for Intel PMM management
Group:		System/Libraries
Obsoletes:	ixpdimm_sw < 01.00.00.3000
Obsoletes:	libixpdimm-common < 01.00.00.3000
Obsoletes:	libixpdimm-core < 01.00.00.3000
Obsoletes:	libixpdimm-cli < 01.00.00.3000
Obsoletes:	libixpdimm-cim < 01.00.00.3000
Obsoletes:	libixpdimm < 01.00.00.3000
Obsoletes:	ixpdimm-data < 01.00.00.3000

%description -n libipmctl
An Application Programming Interface (API) library for managing Intel Optane DC persistent memory modules.

%package -n libipmctl-devel
Summary:	Development packages for libipmctl
Group:		System/Libraries
Requires:	libipmctl%{?_isa} = %{version}-%{release}
Obsoletes:	ixpdimm-devel < 01.00.00.3000
Obsoletes:	ixpdimm_sw-devel < 01.00.00.3000

%description -n libipmctl-devel
API for development of Intel Optane DC persistent memory management utilities.

%build
%cmake -DBUILDNUM=%{version} -DCMAKE_INSTALL_PREFIX=/ \
    -DLINUX_PRODUCT_NAME=%{name} \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir} \
    -DCMAKE_INSTALL_BINDIR=%{_bindir} \
    -DCMAKE_INSTALL_DATAROOTDIR=%{_datadir} \
    -DCMAKE_INSTALL_MANDIR=%{_mandir} \
    -DCMAKE_INSTALL_LOCALSTATEDIR=%{_localstatedir} \
    -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
    -DINSTALL_UNITDIR=%{_unitdir} \
    -DRELEASE=ON \
    -DRPM_BUILD=ON
make -f Makefile %{?_smp_mflags}

%install
%{!?_cmake_version: cd build}
make -f Makefile install DESTDIR=%{buildroot}

%post -n ipmctl-monitor
%systemd_post ipmctl-monitor.service

%post -n libipmctl -p /sbin/ldconfig

%postun -n libipmctl -p /sbin/ldconfig

%preun -n ipmctl-monitor
%systemd_preun stop ipmctl-monitor.service

%postun -n ipmctl-monitor
%systemd_postun_with_restart ipmctl-monitor.service

%files -n ipmctl
%defattr(-,root,root)
%{_bindir}/ipmctl

%files -n ipmctl-monitor
%defattr(-,root,root)
%{_bindir}/ipmctl-monitor
%{_unitdir}/ipmctl-monitor.service

%files -n libipmctl
%defattr(-,root,root)
%{_libdir}/libipmctl.so.*
%dir %{_datadir}/doc/ipmctl
%doc %{_datadir}/doc/ipmctl/ipmctl_default.conf
%config %{_sysconfdir}/ipmctl.conf
%dir %attr(644,root,root) %{_localstatedir}/log/ipmctl

%files -n libipmctl-devel
%defattr(-,root,root)
%{_libdir}/libipmctl.so
%attr(644,root,root) %{_includedir}/nvm_types.h
%attr(644,root,root) %{_includedir}/nvm_management.h
%attr(644,root,root) %{_includedir}/export_api.h
%attr(644,root,root) %{_includedir}/NvmSharedDefs.h
%{_libdir}/pkgconfig/libipmctl.pc

%changelog
* Thu Sep 27 2018 Jingdong Lu <jingdong.lu@oracle.com> 01.00.00.3279-1
- BUILDINFO: commit=4f4f70ddc10bb5a6d3f5661eeac75ae58239b66e
- Update to 01.00.00.3279

* Mon Jul 30 2018 Juston Li <juston.li@intel.com> - 01.00.00.3186
- BUILDINFO: commit=c0ab6ea0320a963757493db9809d36f2c286aafc
- Release v01.00.00.3186

* Thu Jul 19 2018 Juston Li <juston.li@intel.com> - 01.00.00.3173
- Release v01.00.00.3173

* Fri Jun 08 2018 Juston Li <juston.li@intel.com> - 01.00.00.3091
- Release v01.00.00.3102

* Fri Jun 08 2018 Juston Li <juston.li@intel.com> - 01.00.00.3091
- Release v01.00.00.3091

* Fri Jun 01 2018 Juston Li <juston.li@intel.com> - 01.00.00.3083
- Release v01.00.00.3083

* Wed May 30 2018 Juston Li <juston.li@intel.com> - 01.00.00.3072
- Initial release v01.00.00.3072
- Add obsolete tags

* Wed May 02 2018 Juston Li <juston.li@intel.com> - 01.00.00.3000
- initial spec

